<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.11.60.66.10.11
Name: VZVZ Opvragen Medicatievoorschriften
Description: Opvragen Medicatievoorschriften 
                 Verdere informatie 
            
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.11.60.66.10.11-2014-01-13T000000">
   <title>VZVZ Opvragen Medicatievoorschriften</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.11
Context: /
Item: (opvragenVoorschriftenLijst)
-->

   <rule context="/" id="tmp-r-ac279d19-d4cf-4b77-87c9-82e2c0445903">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.11-2014-01-13T000000.html"
              test="count(hl7:QURX_IN990201NL01)&gt;=1 ">(opvragenVoorschriftenLijst): element hl7:QURX_IN990201NL01 is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.11-2014-01-13T000000.html"
              test="count(hl7:QURX_IN990201NL01)&lt;=1">(opvragenVoorschriftenLijst): element hl7:QURX_IN990201NL01 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.11
Context: /hl7:QURX_IN990201NL01
Item: (opvragenVoorschriftenLijst)
-->

   <rule context="/hl7:QURX_IN990201NL01"
         id="tmp-r-bc7bba4c-6898-432d-bc1f-d029bb0188e8">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.11-2014-01-13T000000.html"
              test="count(hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.11']]])&gt;=1 and not(hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.11']]]/@nullFlavor)">(opvragenVoorschriftenLijst): element hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.11']]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.11-2014-01-13T000000.html"
              test="count(hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.11']]])&lt;=1">(opvragenVoorschriftenLijst): element hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.11']]] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9022
Context: /hl7:QURX_IN990201NL01/hl7:attentionLine
Item: (AttentionLineContextCode)
-->

   <rule context="/hl7:QURX_IN990201NL01/hl7:attentionLine"
         id="tmp-r-acf71a62-cb7a-4f47-92a7-08f0714ba152">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9022-2014-09-10T000000.html"
              test="count(hl7:keyWordText[(@code='CONTEXT' and @codeSystem='2.16.840.1.113883.2.4.15.1') or @nullFlavor])&gt;=1 ">(AttentionLineContextCode): element hl7:keyWordText[(@code='CONTEXT' and @codeSystem='2.16.840.1.113883.2.4.15.1') or @nullFlavor] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9022-2014-09-10T000000.html"
              test="count(hl7:keyWordText[(@code='CONTEXT' and @codeSystem='2.16.840.1.113883.2.4.15.1') or @nullFlavor])&lt;=1">(AttentionLineContextCode): element hl7:keyWordText[(@code='CONTEXT' and @codeSystem='2.16.840.1.113883.2.4.15.1') or @nullFlavor] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9022-2014-09-10T000000.html"
              test="count(hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.66.11.116-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.66.11.116-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor])&gt;=1 ">(AttentionLineContextCode): element hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.66.11.116-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.66.11.116-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9022-2014-09-10T000000.html"
              test="count(hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.66.11.116-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.66.11.116-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor])&lt;=1">(AttentionLineContextCode): element hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.66.11.116-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.66.11.116-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9022
Context: /hl7:QURX_IN990201NL01/hl7:attentionLine/hl7:keyWordText[(@code='CONTEXT' and @codeSystem='2.16.840.1.113883.2.4.15.1') or @nullFlavor]
Item: (AttentionLineContextCode)
-->

   <rule context="/hl7:QURX_IN990201NL01/hl7:attentionLine/hl7:keyWordText[(@code='CONTEXT' and @codeSystem='2.16.840.1.113883.2.4.15.1') or @nullFlavor]"
         id="tmp-r-ace22470-900a-4d32-b09f-a3aaf2de8fc0">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9022-2014-09-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SC' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AttentionLineContextCode): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:SC" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="SC"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9022-2014-09-10T000000.html"
              test="@nullFlavor or (@code='CONTEXT' and @codeSystem='2.16.840.1.113883.2.4.15.1')">(AttentionLineContextCode): de elementwaarde MOET zijn code 'CONTEXT' codeSystem '2.16.840.1.113883.2.4.15.1'.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9022-2014-09-10T000000.html"
              test="text()='ContextCode'">(AttentionLineContextCode): de element content van hl7:keyWordText[(@code='CONTEXT' and @codeSystem='2.16.840.1.113883.2.4.15.1') or @nullFlavor] MOET ''ContextCode'' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9022
Context: /hl7:QURX_IN990201NL01/hl7:attentionLine/hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.66.11.116-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.66.11.116-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]
Item: (AttentionLineContextCode)
-->

   <rule context="/hl7:QURX_IN990201NL01/hl7:attentionLine/hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.66.11.116-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.66.11.116-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]"
         id="tmp-r-3402ab46-bfe7-4978-a95e-aa4db6968291">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9022-2014-09-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AttentionLineContextCode): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CV" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9022-2014-09-10T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.2.4.3.11.60.66.11.116-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(AttentionLineContextCode): de elementwaarde MOET zijn AORTAContextCode AORTA Context Code (DYNAMISCH).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.2.4.3.11.60.66.11.116-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9022-2014-09-10T000000.html"
              test="not(@nullFlavor) or $validNullFlavorsFound">(AttentionLineContextCode): de nulwaarde '<value-of select="@nullFlavor"/>' voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardelijst AORTAContextCode AORTA Context Code (DYNAMISCH).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.11
Context: /hl7:QURX_IN990201NL01/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.11']]]
Item: (opvragenVoorschriftenLijst)
-->

   <rule context="/hl7:QURX_IN990201NL01/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.11']]]"
         id="tmp-r-69701667-cad9-4628-a54a-822fe54b7dc2">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.11-2014-01-13T000000.html"
              test="string(@moodCode)='EVN'">(opvragenVoorschriftenLijst): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.11-2014-01-13T000000.html"
              test="count(hl7:overseer)&gt;=1 ">(opvragenVoorschriftenLijst): element hl7:overseer is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.11-2014-01-13T000000.html"
              test="count(hl7:overseer)&lt;=1">(opvragenVoorschriftenLijst): element hl7:overseer komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.11-2014-01-13T000000.html"
              test="count(hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.11']])&gt;=1 and not(hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.11']]/@nullFlavor)">(opvragenVoorschriftenLijst): element hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.11']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.11-2014-01-13T000000.html"
              test="count(hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.11']])&lt;=1">(opvragenVoorschriftenLijst): element hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.11']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9023
Context: /hl7:QURX_IN990201NL01/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.11']]]/hl7:overseer
Item: (ControlActOverseerPerson)
-->

   <rule context="/hl7:QURX_IN990201NL01/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.11']]]/hl7:overseer"
         id="tmp-r-42ef646a-3f4c-4167-94ee-6f65d64304a4">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="string(@typeCode)='RESP' or not(@typeCode)">(ControlActOverseerPerson): de waarde van @typeCode MOET 'RESP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(ControlActOverseerPerson): element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="count(hl7:assignedEntity)&lt;=1">(ControlActOverseerPerson): element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9023
Context: /hl7:QURX_IN990201NL01/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.11']]]/hl7:overseer/hl7:assignedEntity
Item: (ControlActOverseerPerson)
-->

   <rule context="/hl7:QURX_IN990201NL01/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.11']]]/hl7:overseer/hl7:assignedEntity"
         id="tmp-r-b9411af0-7326-4de5-99bf-538b09efe805">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="count(hl7:id[@root='2.16.528.1.1007.3.1'])&gt;=1 and not(hl7:id[@root='2.16.528.1.1007.3.1']/@nullFlavor)">(ControlActOverseerPerson): element hl7:id[@root='2.16.528.1.1007.3.1'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="count(hl7:id[@root='2.16.528.1.1007.3.1'])&lt;=1">(ControlActOverseerPerson): element hl7:id[@root='2.16.528.1.1007.3.1'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(ControlActOverseerPerson): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="count(hl7:code)&lt;=1">(ControlActOverseerPerson): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="count(hl7:assignedPrincipalChoiceList)&gt;=1 and not(hl7:assignedPrincipalChoiceList/@nullFlavor)">(ControlActOverseerPerson): element hl7:assignedPrincipalChoiceList is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="count(hl7:assignedPrincipalChoiceList)&lt;=1">(ControlActOverseerPerson): element hl7:assignedPrincipalChoiceList komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="count(hl7:Organization)&gt;=1 and not(hl7:Organization/@nullFlavor)">(ControlActOverseerPerson): element hl7:Organization is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="count(hl7:Organization)&lt;=1">(ControlActOverseerPerson): element hl7:Organization komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9023
Context: /hl7:QURX_IN990201NL01/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.11']]]/hl7:overseer/hl7:assignedEntity/hl7:id[@root='2.16.528.1.1007.3.1']
Item: (ControlActOverseerPerson)
-->

   <rule context="/hl7:QURX_IN990201NL01/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.11']]]/hl7:overseer/hl7:assignedEntity/hl7:id[@root='2.16.528.1.1007.3.1']"
         id="tmp-r-61602a64-e0f4-4e7e-a6f3-533731ea80ba">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ControlActOverseerPerson): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II.NL.UZI"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="string(@root)='2.16.528.1.1007.3.1'">(ControlActOverseerPerson): de waarde van @root MOET '2.16.528.1.1007.3.1' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9023
Context: /hl7:QURX_IN990201NL01/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.11']]]/hl7:overseer/hl7:assignedEntity/hl7:code
Item: (ControlActOverseerPerson)
-->

   <rule context="/hl7:QURX_IN990201NL01/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.11']]]/hl7:overseer/hl7:assignedEntity/hl7:code"
         id="tmp-r-9f38d2d9-a5d4-4fc1-a66d-ceaf9923ea47">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ControlActOverseerPerson): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CV" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="@codeSystem='2.16.840.1.113883.2.4.15.111' and not(@code='00.000')">(ControlActOverseerPerson): Control Act: / moet een UZI-register rolcode bevatten en deze mag niet 00.000 zijn</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9023
Context: /hl7:QURX_IN990201NL01/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.11']]]/hl7:overseer/hl7:assignedEntity/hl7:assignedPrincipalChoiceList
Item: (ControlActOverseerPerson)
-->

   <rule context="/hl7:QURX_IN990201NL01/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.11']]]/hl7:overseer/hl7:assignedEntity/hl7:assignedPrincipalChoiceList"
         id="tmp-r-5168f555-3043-4976-8b7b-3bd33ed62d18">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="count(hl7:assignedPerson)&gt;=1 and not(hl7:assignedPerson/@nullFlavor)">(ControlActOverseerPerson): element hl7:assignedPerson is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="count(hl7:assignedPerson)&lt;=1">(ControlActOverseerPerson): element hl7:assignedPerson komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9023
Context: /hl7:QURX_IN990201NL01/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.11']]]/hl7:overseer/hl7:assignedEntity/hl7:assignedPrincipalChoiceList/hl7:assignedPerson
Item: (ControlActOverseerPerson)
-->

   <rule context="/hl7:QURX_IN990201NL01/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.11']]]/hl7:overseer/hl7:assignedEntity/hl7:assignedPrincipalChoiceList/hl7:assignedPerson"
         id="tmp-r-11080eab-2aa6-4f6a-9975-7e8f9446107e">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">(ControlActOverseerPerson): element hl7:name is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="count(hl7:name)&lt;=1">(ControlActOverseerPerson): element hl7:name komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9023
Context: /hl7:QURX_IN990201NL01/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.11']]]/hl7:overseer/hl7:assignedEntity/hl7:assignedPrincipalChoiceList/hl7:assignedPerson/hl7:name
Item: (ControlActOverseerPerson)
-->

   <rule context="/hl7:QURX_IN990201NL01/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.11']]]/hl7:overseer/hl7:assignedEntity/hl7:assignedPrincipalChoiceList/hl7:assignedPerson/hl7:name"
         id="tmp-r-4dcdef45-92ee-4a11-880e-5129b29ff5e3">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PN' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ControlActOverseerPerson): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:PN" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PN"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9023
Context: /hl7:QURX_IN990201NL01/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.11']]]/hl7:overseer/hl7:assignedEntity/hl7:Organization
Item: (ControlActOverseerPerson)
-->

   <rule context="/hl7:QURX_IN990201NL01/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.11']]]/hl7:overseer/hl7:assignedEntity/hl7:Organization"
         id="tmp-r-abf7fa5c-a2af-4b7d-89c3-d16a9a602e63">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(ControlActOverseerPerson): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="count(hl7:id)&lt;=1">(ControlActOverseerPerson): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="count(hl7:code)&lt;=1">(ControlActOverseerPerson): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">(ControlActOverseerPerson): element hl7:name is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="count(hl7:name)&lt;=1">(ControlActOverseerPerson): element hl7:name komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="count(hl7:addr)&gt;=1 and not(hl7:addr/@nullFlavor)">(ControlActOverseerPerson): element hl7:addr is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="count(hl7:addr)&lt;=1">(ControlActOverseerPerson): element hl7:addr komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9023
Context: /hl7:QURX_IN990201NL01/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.11']]]/hl7:overseer/hl7:assignedEntity/hl7:Organization/hl7:id
Item: (ControlActOverseerPerson)
-->

   <rule context="/hl7:QURX_IN990201NL01/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.11']]]/hl7:overseer/hl7:assignedEntity/hl7:Organization/hl7:id"
         id="tmp-r-ebb0d435-5f13-4f32-9972-1145d52a71c7">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ControlActOverseerPerson): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="@root='2.16.528.1.1007.3.3' and @extension">(ControlActOverseerPerson): Control Act: / moet een URA bevatten</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9023
Context: /hl7:QURX_IN990201NL01/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.11']]]/hl7:overseer/hl7:assignedEntity/hl7:Organization/hl7:code
Item: (ControlActOverseerPerson)
-->

   <rule context="/hl7:QURX_IN990201NL01/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.11']]]/hl7:overseer/hl7:assignedEntity/hl7:Organization/hl7:code"
         id="tmp-r-e6c5c9cb-1109-4201-9964-eb4feaf38595">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ControlActOverseerPerson): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CV" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.15.1060')">(ControlActOverseerPerson): de elementwaarde MOET zijn codeSystem '2.16.840.1.113883.2.4.15.1060'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9023
Context: /hl7:QURX_IN990201NL01/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.11']]]/hl7:overseer/hl7:assignedEntity/hl7:Organization/hl7:name
Item: (ControlActOverseerPerson)
-->

   <rule context="/hl7:QURX_IN990201NL01/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.11']]]/hl7:overseer/hl7:assignedEntity/hl7:Organization/hl7:name"
         id="tmp-r-17f311ab-e386-4ebc-890d-47d329ffd99c">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ON' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ControlActOverseerPerson): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ON" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ON"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9023
Context: /hl7:QURX_IN990201NL01/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.11']]]/hl7:overseer/hl7:assignedEntity/hl7:Organization/hl7:addr
Item: (ControlActOverseerPerson)
-->

   <rule context="/hl7:QURX_IN990201NL01/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.11']]]/hl7:overseer/hl7:assignedEntity/hl7:Organization/hl7:addr"
         id="tmp-r-1b427629-9b31-4427-a4b7-fda8475f4315">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ControlActOverseerPerson): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:AD" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="AD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="hl7:city">(ControlActOverseerPerson): Control Act: / moet tenminste de vestigingsplaats bevatten</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.11
Context: /hl7:QURX_IN990201NL01/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.11']]]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.11']]
Item: (opvragenVoorschriftenLijst)
-->

   <rule context="/hl7:QURX_IN990201NL01/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.11']]]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.11']]"
         id="tmp-r-6ae195a1-718a-4b99-a557-9d81edf14b04">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.11-2014-01-13T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.11'])&gt;=1 ">(opvragenVoorschriftenLijst): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.11'] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.11-2014-01-13T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.11'])&lt;=1">(opvragenVoorschriftenLijst): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.11'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.11-2014-01-13T000000.html"
              test="count(hl7:queryId)&gt;=1 and not(hl7:queryId/@nullFlavor)">(opvragenVoorschriftenLijst): element hl7:queryId is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.11-2014-01-13T000000.html"
              test="count(hl7:queryId)&lt;=1">(opvragenVoorschriftenLijst): element hl7:queryId komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.11-2014-01-13T000000.html"
              test="count(hl7:statusCode[@code='executing'])&gt;=1 and not(hl7:statusCode[@code='executing']/@nullFlavor)">(opvragenVoorschriftenLijst): element hl7:statusCode[@code='executing'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.11-2014-01-13T000000.html"
              test="count(hl7:statusCode[@code='executing'])&lt;=1">(opvragenVoorschriftenLijst): element hl7:statusCode[@code='executing'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.11-2014-01-13T000000.html"
              test="count(hl7:responseModalityCode[@code='R'])&gt;=1 and not(hl7:responseModalityCode[@code='R']/@nullFlavor)">(opvragenVoorschriftenLijst): element hl7:responseModalityCode[@code='R'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.11-2014-01-13T000000.html"
              test="count(hl7:responseModalityCode[@code='R'])&lt;=1">(opvragenVoorschriftenLijst): element hl7:responseModalityCode[@code='R'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.11-2014-01-13T000000.html"
              test="count(hl7:responsePriorityCode[@code='I'])&gt;=1 and not(hl7:responsePriorityCode[@code='I']/@nullFlavor)">(opvragenVoorschriftenLijst): element hl7:responsePriorityCode[@code='I'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.11-2014-01-13T000000.html"
              test="count(hl7:responsePriorityCode[@code='I'])&lt;=1">(opvragenVoorschriftenLijst): element hl7:responsePriorityCode[@code='I'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.11-2014-01-13T000000.html"
              test="count(hl7:executionAndDeliveryTime)&gt;=1 and not(hl7:executionAndDeliveryTime/@nullFlavor)">(opvragenVoorschriftenLijst): element hl7:executionAndDeliveryTime is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.11-2014-01-13T000000.html"
              test="count(hl7:executionAndDeliveryTime)&lt;=1">(opvragenVoorschriftenLijst): element hl7:executionAndDeliveryTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.11-2014-01-13T000000.html"
              test="count(hl7:administrationRequestEffectiveTimeInterval)&lt;=1">(opvragenVoorschriftenLijst): element hl7:administrationRequestEffectiveTimeInterval komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.11-2014-01-13T000000.html"
              test="count(hl7:medicationCode)&lt;=1">(opvragenVoorschriftenLijst): element hl7:medicationCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.11-2014-01-13T000000.html"
              test="count(hl7:medicationCombinedOrderID)&lt;=1">(opvragenVoorschriftenLijst): element hl7:medicationCombinedOrderID komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.11-2014-01-13T000000.html"
              test="count(hl7:patientId)&gt;=1 and not(hl7:patientId/@nullFlavor)">(opvragenVoorschriftenLijst): element hl7:patientId is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.11-2014-01-13T000000.html"
              test="count(hl7:patientId)&lt;=1">(opvragenVoorschriftenLijst): element hl7:patientId komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.11
Context: /hl7:QURX_IN990201NL01/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.11']]]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.11']]/hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.11']
Item: (opvragenVoorschriftenLijst)
-->

   <rule context="/hl7:QURX_IN990201NL01/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.11']]]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.11']]/hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.11']"
         id="tmp-r-057f05ec-36dd-4bfe-a85e-59d7940b71ff">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.11-2014-01-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(opvragenVoorschriftenLijst): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.11-2014-01-13T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.3.11.60.66.10.11'">(opvragenVoorschriftenLijst): @root MOET de waarde '2.16.840.1.113883.2.4.3.11.60.66.10.11' hebben.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.11
Context: /hl7:QURX_IN990201NL01/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.11']]]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.11']]/hl7:queryId
Item: (opvragenVoorschriftenLijst)
-->

   <rule context="/hl7:QURX_IN990201NL01/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.11']]]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.11']]/hl7:queryId"
         id="tmp-r-e8e05eb8-9a38-4f3f-8d1e-6ba39061c7cf">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.11-2014-01-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(opvragenVoorschriftenLijst): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.11
Context: /hl7:QURX_IN990201NL01/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.11']]]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.11']]/hl7:statusCode[@code='executing']
Item: (opvragenVoorschriftenLijst)
-->

   <rule context="/hl7:QURX_IN990201NL01/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.11']]]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.11']]/hl7:statusCode[@code='executing']"
         id="tmp-r-8d3a78b0-1464-46a6-ae4a-6ae04aeffabb">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.11-2014-01-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(opvragenVoorschriftenLijst): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.11-2014-01-13T000000.html"
              test="@nullFlavor or (@code='executing')">(opvragenVoorschriftenLijst): de elementwaarde MOET zijn code 'executing'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.11
Context: /hl7:QURX_IN990201NL01/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.11']]]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.11']]/hl7:responseModalityCode[@code='R']
Item: (opvragenVoorschriftenLijst)
-->

   <rule context="/hl7:QURX_IN990201NL01/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.11']]]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.11']]/hl7:responseModalityCode[@code='R']"
         id="tmp-r-85929f7e-9616-4dc6-b028-8ff72659b7b9">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.11-2014-01-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(opvragenVoorschriftenLijst): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.11-2014-01-13T000000.html"
              test="@nullFlavor or (@code='R')">(opvragenVoorschriftenLijst): de elementwaarde MOET zijn code 'R'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.11
Context: /hl7:QURX_IN990201NL01/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.11']]]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.11']]/hl7:responsePriorityCode[@code='I']
Item: (opvragenVoorschriftenLijst)
-->

   <rule context="/hl7:QURX_IN990201NL01/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.11']]]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.11']]/hl7:responsePriorityCode[@code='I']"
         id="tmp-r-3e08cc8c-f537-4d9e-a656-71814ee0f82c">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.11-2014-01-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(opvragenVoorschriftenLijst): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.11-2014-01-13T000000.html"
              test="@nullFlavor or (@code='I')">(opvragenVoorschriftenLijst): de elementwaarde MOET zijn code 'I'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.11
Context: /hl7:QURX_IN990201NL01/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.11']]]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.11']]/hl7:executionAndDeliveryTime
Item: (opvragenVoorschriftenLijst)
-->

   <rule context="/hl7:QURX_IN990201NL01/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.11']]]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.11']]/hl7:executionAndDeliveryTime"
         id="tmp-r-0e180838-fbf4-4584-8c77-c11528512384">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.11-2014-01-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(opvragenVoorschriftenLijst): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:TS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.11
Context: /hl7:QURX_IN990201NL01/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.11']]]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.11']]/hl7:administrationRequestEffectiveTimeInterval
Item: (opvragenVoorschriftenLijst)
-->

   <rule context="/hl7:QURX_IN990201NL01/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.11']]]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.11']]/hl7:administrationRequestEffectiveTimeInterval"
         id="tmp-r-a682ba9c-c765-453a-8ba4-2f9c661a0573">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.11-2014-01-13T000000.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(opvragenVoorschriftenLijst): element hl7:value is mandatory [min 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.11
Context: /hl7:QURX_IN990201NL01/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.11']]]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.11']]/hl7:administrationRequestEffectiveTimeInterval/hl7:value
Item: (opvragenVoorschriftenLijst)
-->

   <rule context="/hl7:QURX_IN990201NL01/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.11']]]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.11']]/hl7:administrationRequestEffectiveTimeInterval/hl7:value"
         id="tmp-r-6a5d49ee-bec5-4ac5-9ebd-499dcc379c4b">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.11-2014-01-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(opvragenVoorschriftenLijst): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:IVL_TS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.11-2014-01-13T000000.html"
              test="not(hl7:low) or string-length(hl7:low/@value)&gt;=12">(opvragenVoorschriftenLijst): Onder- en bovengrens (low, high) is tot op de minuut te specficeren</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.11-2014-01-13T000000.html"
              test="not(hl7:high) or string-length(hl7:high/@value)&gt;=12">(opvragenVoorschriftenLijst): Onder- en bovengrens (low, high) is tot op de minuut te specficeren</assert>
      <let name="elmcount" value="count(hl7:low|hl7:high)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.11-2014-01-13T000000.html"
              test="$elmcount&gt;=1">(opvragenVoorschriftenLijst): keuze (hl7:low of hl7:high) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.11-2014-01-13T000000.html"
              test="$elmcount&lt;=2">(opvragenVoorschriftenLijst): keuze (hl7:low of hl7:high) bevat te veel elementen [max 2x]</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.11-2014-01-13T000000.html"
              test="count(hl7:low)&lt;=1">(opvragenVoorschriftenLijst): element hl7:low komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.11-2014-01-13T000000.html"
              test="count(hl7:high)&lt;=1">(opvragenVoorschriftenLijst): element hl7:high komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.11
Context: /hl7:QURX_IN990201NL01/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.11']]]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.11']]/hl7:administrationRequestEffectiveTimeInterval/hl7:value/hl7:low
Item: (opvragenVoorschriftenLijst)
-->

   <rule context="/hl7:QURX_IN990201NL01/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.11']]]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.11']]/hl7:administrationRequestEffectiveTimeInterval/hl7:value/hl7:low"
         id="tmp-r-ec2b796f-3de2-4a79-9e8f-b4681c86399a">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.11-2014-01-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(opvragenVoorschriftenLijst): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:TS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.11
Context: /hl7:QURX_IN990201NL01/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.11']]]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.11']]/hl7:administrationRequestEffectiveTimeInterval/hl7:value/hl7:high
Item: (opvragenVoorschriftenLijst)
-->

   <rule context="/hl7:QURX_IN990201NL01/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.11']]]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.11']]/hl7:administrationRequestEffectiveTimeInterval/hl7:value/hl7:high"
         id="tmp-r-d11f777b-c170-425c-b360-a4c8cabe35cc">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.11-2014-01-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(opvragenVoorschriftenLijst): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:TS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.11
Context: /hl7:QURX_IN990201NL01/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.11']]]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.11']]/hl7:medicationCode
Item: (opvragenVoorschriftenLijst)
-->

   <rule context="/hl7:QURX_IN990201NL01/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.11']]]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.11']]/hl7:medicationCode"
         id="tmp-r-f21950ef-cb4f-4964-939c-607c386dd91f">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.11-2014-01-13T000000.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(opvragenVoorschriftenLijst): element hl7:value is mandatory [min 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.11
Context: /hl7:QURX_IN990201NL01/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.11']]]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.11']]/hl7:medicationCode/hl7:value
Item: (opvragenVoorschriftenLijst)
-->

   <rule context="/hl7:QURX_IN990201NL01/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.11']]]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.11']]/hl7:medicationCode/hl7:value"
         id="tmp-r-9e37d1e0-c2ea-4c82-86d0-e8e72a784ae2">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.11-2014-01-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(opvragenVoorschriftenLijst): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.11
Context: /hl7:QURX_IN990201NL01/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.11']]]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.11']]/hl7:medicationCombinedOrderID
Item: (opvragenVoorschriftenLijst)
-->

   <rule context="/hl7:QURX_IN990201NL01/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.11']]]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.11']]/hl7:medicationCombinedOrderID"
         id="tmp-r-85cc74f5-196a-4e9c-a67c-86d7963b6201">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.11-2014-01-13T000000.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(opvragenVoorschriftenLijst): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.11-2014-01-13T000000.html"
              test="count(hl7:value)&lt;=1">(opvragenVoorschriftenLijst): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.11
Context: /hl7:QURX_IN990201NL01/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.11']]]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.11']]/hl7:medicationCombinedOrderID/hl7:value
Item: (opvragenVoorschriftenLijst)
-->

   <rule context="/hl7:QURX_IN990201NL01/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.11']]]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.11']]/hl7:medicationCombinedOrderID/hl7:value"
         id="tmp-r-1b7239d1-7c52-49d7-97da-bacff6ac5a2c">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.11-2014-01-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(opvragenVoorschriftenLijst): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.11
Context: /hl7:QURX_IN990201NL01/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.11']]]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.11']]/hl7:patientId
Item: (opvragenVoorschriftenLijst)
-->

   <rule context="/hl7:QURX_IN990201NL01/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.11']]]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.11']]/hl7:patientId"
         id="tmp-r-ba4cd044-8c48-4066-91a7-8e4b564f7607">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.11-2014-01-13T000000.html"
              test="count(hl7:value[@root='2.16.840.1.113883.2.4.6.3'])&gt;=1 and not(hl7:value[@root='2.16.840.1.113883.2.4.6.3']/@nullFlavor)">(opvragenVoorschriftenLijst): element hl7:value[@root='2.16.840.1.113883.2.4.6.3'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.11-2014-01-13T000000.html"
              test="count(hl7:value[@root='2.16.840.1.113883.2.4.6.3'])&lt;=1">(opvragenVoorschriftenLijst): element hl7:value[@root='2.16.840.1.113883.2.4.6.3'] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.11
Context: /hl7:QURX_IN990201NL01/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.11']]]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.11']]/hl7:patientId/hl7:value[@root='2.16.840.1.113883.2.4.6.3']
Item: (opvragenVoorschriftenLijst)
-->

   <rule context="/hl7:QURX_IN990201NL01/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.11']]]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.11']]/hl7:patientId/hl7:value[@root='2.16.840.1.113883.2.4.6.3']"
         id="tmp-r-1047924d-3980-4385-800b-4ec9d797f99d">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.11-2014-01-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(opvragenVoorschriftenLijst): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II.NL.BSN"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.11-2014-01-13T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.3'">(opvragenVoorschriftenLijst): @root MOET de waarde '2.16.840.1.113883.2.4.6.3' hebben.</assert>
   </rule>
</pattern>
